%define pkg_name        Net-Jabber-Loudmouth
%define pkg_version     0.07
%define rpm_pkg_version 0.07
%define rpm_pkg_release 1.n0i.1

Summary:       Perl interface for the loudmouth jabber library
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/F/FL/FLORA/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib) >= 1.093
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: loudmouth-devel
BuildRequires: glib2-devel


%description
Net::Jabber::Loudmouth is a perl interface for libloudmouth, Lightweight C
Jabber library. It allows you to do the same stuff with Net::Jabber, but with
a nicer interface and much faster, because most of the code is written in C.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
# test suite is unusable for the moment :(
%{?_with_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ TODO


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.07
